Bug 286981 - error when pungi runs mkisofs
error when pungi runs mkisofs
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: pungi (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-11 18:19 EDT by David Cantrell
Modified: 2013-01-09 20:41 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-12 17:19:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
mortise.i386.log (703.71 KB, text/plain)
2007-09-12 14:37 EDT, David Cantrell
no flags Details

  None (edit)
Description David Cantrell 2007-09-11 18:19:53 EDT
Pungi.Pungi:ERROR: Got an error from /usr/bin/mkisofs
Pungi.Pungi:ERROR: Warning: creating filesystem that does not conform to ISO-966
0.
I: -input-charset not specified, using utf-8 (detected in locale settings)
genisoimage 1.1.6 (Linux)
Scanning /home/dcantrel/recovery/trees/20070911/mortise/i386/os
Scanning /home/dcantrel/recovery/trees/20070911/mortise/i386/os/stylesheet-image
s
Scanning /home/dcantrel/recovery/trees/20070911/mortise/i386/os/Packages
Scanning /home/dcantrel/recovery/trees/20070911/mortise/i386/os/images
Scanning /home/dcantrel/recovery/trees/20070911/mortise/i386/os/repodata
genisoimage: Uh oh, I cant find the boot catalog directory 'isolinux'!

Traceback (most recent call last):
  File "/usr/bin/pungi", line 208, in <module>
    main()
  File "/usr/bin/pungi", line 132, in main
    mypungi.doCreateIsos()
  File "/usr/lib/python2.5/site-packages/pypungi/pungi.py", line 441, in doCreat
eIsos
    pypungi._doRunCommand(mkisofs + extraargs, self.logger)
  File "/usr/lib/python2.5/site-packages/pypungi/__init__.py", line 69, in _doRu
nCommand
    raise OSError, "Got an error from %s: %s" % (command[0], err)
OSError: Got an error from /usr/bin/mkisofs: Warning: creating filesystem that d
oes not conform to ISO-9660.
I: -input-charset not specified, using utf-8 (detected in locale settings)
genisoimage 1.1.6 (Linux)
Scanning /home/dcantrel/recovery/trees/20070911/mortise/i386/os
Scanning /home/dcantrel/recovery/trees/20070911/mortise/i386/os/stylesheet-image
s
Scanning /home/dcantrel/recovery/trees/20070911/mortise/i386/os/Packages
Scanning /home/dcantrel/recovery/trees/20070911/mortise/i386/os/images
Scanning /home/dcantrel/recovery/trees/20070911/mortise/i386/os/repodata
genisoimage: Uh oh, I cant find the boot catalog directory 'isolinux'!
Comment 1 Jesse Keating 2007-09-11 21:38:26 EDT
Hrm, this is because buildinstall didn't finish it's job and create the isolinux
stuff.  But buildinstall didn't fail in a way that the return code was a
failure.  *sigh*.  I suppose I just need to go after buildinstall and verify
that all the right things showed up.

Can you look in your log around the buildinstall DEBUG output to see if there
are any clues there as to why isolinux/ directory didn't show up?
Comment 2 David Cantrell 2007-09-12 14:37:59 EDT
Created attachment 193761 [details]
mortise.i386.log

There's the log file from the pungi run.
Comment 3 Jesse Keating 2007-10-10 13:53:56 EDT
Well, the log isn't very helpful :/

Is this still happening to you?
Comment 4 dhawes 2007-10-24 06:45:35 EDT
I had a smilular problem which was caused by there not being enough space
available in /tmp

I worked around it by setting the environment variable TMPDIR to /var/tmp where
there was more space.
Comment 5 Jesse Keating 2007-12-12 17:19:49 EST
Closing this insufficient data.  Please reopen if you are able to reproduce it
with current pungi.
Comment 6 Patrice Dumas 2008-01-10 16:29:45 EST
I just experimented it too.
Comment 7 Patrice Dumas 2008-01-10 18:21:47 EST
Forget it, it was just because I was short on space, sorry.

Note You need to log in before you can comment on or make changes to this bug.